@font-face {
  font-family: "robotoRegular";
  src: url(../fonts/Roboto-Regular.ttf);
}
@font-face {
  font-family: "robotoMedium";
  src: url(../fonts/Roboto-Medium.ttf);
}

@font-face {
  font-family: "robotoBold";
  src: url(../fonts/Roboto-Bold.ttf);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  overflow-x: hidden;
  font-family: "Poppins", sans-serif;
}

body {
  width: 100%;
  box-sizing: border-box;
}

.register_container {
  width: 100%;
  height: 100vh;
  background-color: #f4f8f7;
  display: flex;
  justify-content: center;
  align-items: center;
  background: linear-gradient(
    to right,
    rgba(124, 163, 194, 1),
    rgba(132, 142, 195, 1)
  );

  padding-top: 100px;
  padding-bottom: 70px;
  position: relative;
  z-index: 0;
}

.register_container .shape_one {
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  filter: blur(120px);
  animation: scaleAnimation 5s ease infinite;
}
@keyframes scaleAnimation {
  0% {
    transform: scaleX(1);
  }
  50% {
    transform: scaleX(1.3);
  }
  100% {
    transform: scaleX(1);
  }
}
.register_container .shape_two {
  position: absolute;
  top: 0;
  right: 0;
  z-index: -1;
  filter: blur(25px);
  animation: scaleAnimation 5s ease infinite;
}
.register_container .form_container {
  max-width: 975px;
  min-width: 975px;
  min-height: 570px;
  display: flex;
  border-radius: 15px;
  box-shadow: rgba(86, 111, 130, 0.6) 0px 10px 20px,
    rgba(86, 111, 130, 0.6) 0px 6px 6px;
  margin-top: 70px;
}

.register_container .left_img {
  width: 48%;
  overflow: hidden;
}
.left_img img {
  width: 100%;
  height: 100%;
  transition: filter 1s ease, scale 2s ease;
}
.left_img img:hover {
  filter: brightness(0.95);
  scale: 1.1;
}

.register_section {
  background: #fafeff;
  width: 52%;
  z-index: 1;
}

.register_content {
  width: 100%;
  padding: 30px 77px 40px 70px;
}
.register_content .account_status {
  margin-bottom: 16px;
}
.register_content .account_status p {
  font-size: 17px;
  font-family: "robotoRegular";
  padding: 14px 8px;
  border-radius: 5px;
}

.register_content .account_status .success_alert {
  color: green;
  background-color: rgba(0, 128, 0, 0.2);
}
.register_content .account_status .banned_alert {
  color: red;
  background: rgba(255, 0, 0, 0.2);
}

.register_section .logo {
  margin-top: 63px;
  display: flex;
  justify-content: center;
}
.register_section .sub_heading {
  font-size: 16px;
  color: #20415b;
  font-family: "robotoMedium";
  margin: 0;
  padding-bottom: 12px;
  padding-top: 25px;
  text-align: center;
}
.register_content p a {
  color: #175b97;
  font-family: "robotoMedium";
}
.input_field_wrapper {
  margin-bottom: 13px;
}

.input_field {
  position: relative;
}
.input_field input {
  width: 100%;
  height: 50px;
  font-size: 14px;
  font-family: "robotoRegular";
  border: 1px solid rgba(86, 111, 130, 0.6);
  transition: border-color 0.3s;
  outline: none;
  caret-color: #333d43;
  color: #333d43;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  background-color: transparent;
  border-radius: 4px;
  padding-left: 43px;
  cursor: pointer;
}
.input_field input::placeholder {
  color: rgba(86, 111, 130, 0.5);
}
.input_field input:not(:placeholder-shown)::placeholder {
  opacity: 0;
}

.input_field input:not(:placeholder-shown) + label {
  display: block;
}
.input_field input:-webkit-autofill {
  box-shadow: 0 0 0 30px #fafeff inset;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.input_field input:hover {
  border: 1.5px solid rgba(86, 111, 130, 0.8);
}
.input_field input:focus {
  border: 1px solid rgba(86, 111, 130, 0.9);
}
.input_field input:focus::placeholder {
  color: rgba(86, 111, 130, 1);
}

.input_field label {
  position: absolute;
  top: 17px;
  left: 15px;
  font-size: 14px;
  font-family: "robotoRegular";
  color: #8f979b;
  cursor: pointer;
}
.input_field label img {
  width: 18px;
  height: 18px;
  opacity: 0.6;
}
.input_field:hover label img {
  opacity: 0.8;
}
.input_field input:focus label img {
  opacity: 1;
}

.passInput {
  position: relative;
}

.input_field .eye_btn {
  position: absolute;
  right: 0;
  bottom: 18px;
  color: #20415b;
  cursor: pointer;
}

.eye_btn p {
  padding-bottom: 0;
  font-size: 12px;
  font-family: "robotoRegular";
  padding-right: 12px;
}

.error_text {
  color: red;
  font-size: 14px;
  font-family: "robotoRegular";
  padding-top: 4px;
}

.register_content button {
  width: 100%;
  height: 50px;
  border-radius: 6px;
  background: rgba(86, 111, 130, 0.5);
  cursor: pointer;
  border: none;
  outline: none;
  color: #fff;
  font-size: 14px;
  font-family: "robotoMedium";
  transition: background 1s ease;
}

.register_content button:hover {
  background: rgba(86, 111, 130, 0.75);
}
.register_content button.success_btn {
  background: linear-gradient(180deg, #436ea1, #394d94);
}

.already_have_acc {
  font-size: 14px;
  text-decoration: none;
  padding-top: 12px;
  color: #20415b;
  padding-bottom: 0;
  font-family: "robotoRegular";
  text-align: center;
}
.already_have_acc a {
  text-decoration: none;
  color: #436ea1;
  font-family: "robotoMedium";
  transition: font-family 2s ease;
}
.already_have_acc a:hover {
  text-decoration: underline;
  font-family: "robotoBold";
}

@media only screen and (max-width: 1024px) {
  .register_container .form_container {
    max-width: 920px;
    min-width: 920px;
  }
}
@media only screen and (max-width: 991px) {
  .register_container .form_container {
    max-width: 890px;
    min-width: 890px;
  }
  .register_content {
    width: 100%;
    padding: 30px 35px 40px 35px;
  }
}
@media only screen and (max-width: 820px) {
  .register_container .form_container {
    max-width: 90%;
    min-width: 90%;
    display: flex;
    flex-direction: column;
    margin-top: 350px;
  }

  .register_container .left_img {
    width: 100%;
    height: 350px;
  }
  .register_section {
    width: 100%;
  }
}
@media only screen and (max-width: 575px) {
  .register_container .form_container {
    margin-top: 150px;
  }
  .register_section .logo {
    margin-top: 50px;
  }
  .register_container .shape_two {
    filter: blur(150px);
  }
  .register_container .left_img {
    display: none;
  }
  .register_container .left_img img {
    object-fit: cover;
  }
  .register_content {
    width: 100%;
    padding: 25px 20px 35px 20px;
  }

  .error_message_email,
  .error_message_pass,
  .error_message_name {
    font-size: 12px;
    margin-bottom: 12px;
  }
  .register_content button {
    margin-top: 15px;
  }
  .register_content .account_status p {
    font-size: 14px;
    padding: 12px 8px;
  }
  .register_content .sub_heading {
    padding-top: 15px;
    padding-bottom: 12px;
  }
}
@media only screen and (max-width: 480px) {
  .register_container {
    padding-top: 0px;
  }
  .register_container .form_container {
    margin-top: 110px;
  }
  .register_section .logo {
    margin-top: 45px;
  }
}
@media only screen and (max-width: 360px) {
  .register_container .form_container {
    margin-top: 150px;
  }
}
